### Method

# ECal TimezoneCache get_timezone

since: 3.8

#### Declaration [src]

    ICalTimezone*
    e_timezone_cache_get_timezone (
      ETimezoneCache* cache,
      const gchar* tzid
    )

#### Description [src]

Obtains an `ICalTimezone` by its TZID string. If no match is found, the function returns `NULL`. The returned `ICalTimezone` is owned by the `cache` and should not be modified or freed.

Available since: 3.8

#### Parameters

`tzid`

  Type: `const gchar*`

  The TZID of a timezone.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `None`

An `ICalTimezone`, or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.